Page MenuHomePhabricator

some users are always (auto) )subscribed to all newly created tickets
Closed, ResolvedPublic

Description

We have a fresh phabricator installation, if we create new tickets two of our users are ALWAYS subscribed to the tickets, regardless there are created from the public create email address or created as new ticket from WebUI. We can't find a place where such behavior might be configured. Even removing the user will does not help, he got auto subscribed again.

Event Timeline

hwinkel created this task.Mar 6 2014, 8:27 AM
hwinkel raised the priority of this task from to Needs Triage.
hwinkel updated the task description. (Show Details)
hwinkel added a project: Phabricator.
hwinkel added subscribers: hwinkel, hsychla.

Do you have a Herald rule which adds him as a subscriber?

chad assigned this task to hwinkel.Mar 10 2014, 2:14 AM
chad added a subscriber: chad.

Let us know what you find in Herald, we're not able to replicate this. Generally, you should now see what added the subscriber on the task (if it's a person, Herald, etc).

chad triaged this task as Normal priority.Mar 10 2014, 2:15 AM

The Herald pathway for CC's still uses some old junk so the transaction doesn't write to the task yet. On my list to clean that up.

I just checked the harald rules. there are just 2 rules listed (H1 and H4) and I#m wondering where are H2,3?? I'm admin of the but can't see them.

Further I checked the transcripts, and its entrusting that i see the failure messages which have exactly the users in question in there. They say something like:

Alltasks
โœ˜ Condition: CCs do not include <user1>
FAILNo conditions matched.

cc_tasks
โœ˜ Condition: CCs do not include <user2>
FAILNo conditions matched.

Further I have seen more rules in transcripts of revisions which may have installed by users. If I try to see them manually I have no permissions (even if I'm admin) so its likely that there are Herald Rules doing the auto cc:. However, it would be good to see all this rules as admin. ?!?!

hwinkel closed this task as Resolved.May 17 2014, 8:13 PM

There was a Herald rule defined by users I was not able to see.